Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | Static Public Member Functions | List of all members
LatBuilder::Storage< LatType::ORDINARY, COMPRESS > Class Template Reference

Storage class for flat vectors. More...

`#include <Storage-ORDINARY.h>`

Inherits LatBuilder::BasicStorage< Storage< LatType::ORDINARY, COMPRESS > >.

## Public Types
typedef self_type::size_type | size_type
typedef self_type::MeritValue | MeritValue
typedef self_type::SizeParam | SizeParam
Public Types inherited from LatBuilder::BasicStorage< Storage< LatType::ORDINARY, COMPRESS > >
typedef StorageTraits< Storage < LatType::ORDINARY, COMPRESS > >::size_type | size_type
typedef StorageTraits< Storage < LatType::ORDINARY, COMPRESS > >::MeritValue | MeritValue
typedef StorageTraits< Storage < LatType::ORDINARY, COMPRESS > >::SizeParam | SizeParam
typedef StorageTraits< Storage < LatType::ORDINARY, COMPRESS > >::Unpermute | Unpermute
typedef StorageTraits< Storage < LatType::ORDINARY, COMPRESS > >::Stride | Stride

## Public Member Functions
| Storage (SizeParam sizeParam)
size_type | virtualSize () const
MeritValue | createMeritValue (Real value=0.0) const
Public Member Functions inherited from LatBuilder::BasicStorage< Storage< LatType::ORDINARY, COMPRESS > >
| BasicStorage (SizeParam sizeParam)
size_type | virtualSize () const
size_type | size () const
const SizeParam & | sizeParam () const
bool | symmetric () const
bool | operator== (const BasicStorage &other) const
bool | operator!= (const BasicStorage &other) const
MeritValue | createMeritValue (Real value) const
boost::numeric::ublas::vector_indirect < V, IndexMap< Unpermute > > | unpermuted (boost::numeric::ublas::vector_container< V > &vec) const
| Returns a vector proxy to access the vector's elements in their natural order.
boost::numeric::ublas::vector_indirect < const V, IndexMap< Stride > > | strided (const boost::numeric::ublas::vector_container< V > &vec, size_type stride) const
| Returns a vector proxy to access the vector's elements with a periodic jump of `stride` across the elements.

## Static Public Member Functions
static std::string | shortname ()
Static Public Member Functions inherited from LatBuilder::BasicStorage< Storage< LatType::ORDINARY, COMPRESS > >
static std::string | name ()

## Additional Inherited Members
Protected Types inherited from LatBuilder::BasicStorage< Storage< LatType::ORDINARY, COMPRESS > >
typedef StorageTraits< Storage < LatType::ORDINARY, COMPRESS > >::Compress | Compress
Protected Member Functions inherited from LatBuilder::BasicStorage< Storage< LatType::ORDINARY, COMPRESS > >
| BasicStorage (const BasicStorage &)=default

## Detailed Description

### template<Compress COMPRESS>
class LatBuilder::Storage< LatType::ORDINARY, COMPRESS >

Storage class for flat vectors.

The vector elements are not permuted but compression is applied to vector indices.

Template Parameters

  COMPRESS | Compression type (either None or Symmetric).

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/Storage-ORDINARY.h